---
{%- from "syncthing/map.jinja" import syncthing with context %}
syncthing-archive-extract:
  archive.extracted:
    - name: {{ syncthing.release_dir }}
    - source: {{ syncthing.mirror }}/v{{ syncthing.version }}/syncthing-{{ syncthing.os }}-{{ syncthing.arch }}-v{{ syncthing.version }}.tar.gz
    - enforce_toplevel: False
    - skip_verify: True
    - archive_format: tar
    - if_missing: {{ syncthing.release_dir }}/syncthing-{{ syncthing.os }}-{{ syncthing.arch }}-v{{ syncthing.version }}
    - watch_in:
      - service: syncthing-service

syncthing-bin-symlink:
  file.symlink:
    - name: {{ syncthing.install_dir }}/syncthing
    - target: {{ syncthing.release_dir }}/syncthing-{{ syncthing.os }}-{{ syncthing.arch }}-v{{ syncthing.version }}
    - watch_in:
      - service: syncthing-service